Generation Framework

## org.eclipse.gmf.gmfgraph
Class Direction

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.gmfgraph.Direction

All Implemented Interfaces:
  Enumerator

public final class Direction
extends AbstractEnumerator

A representation of the literals of the enumeration 'Direction', and utility methods for working with them. Geographical bit constants from org.eclipse.draw2d.PositionConstants

See Also:
  `GMFGraphPackage.getDirection()`
** Generated **
Model:

Field Summary
`static int` `EAST` The 'EAST' literal value
`static Direction` `EAST_LITERAL` The 'EAST' literal object
`static int` `EAST_WEST` The 'EAST WEST' literal value
`static Direction` `EAST_WEST_LITERAL` The 'EAST WEST' literal object
`static int` `NONE` The 'NONE' literal value
`static Direction` `NONE_LITERAL` The 'NONE' literal object
`static int` `NORTH` The 'NORTH' literal value
`static int` `NORTH_EAST` The 'NORTH EAST' literal value
`static Direction` `NORTH_EAST_LITERAL` The 'NORTH EAST' literal object
`static Direction` `NORTH_LITERAL` The 'NORTH' literal object
`static int` `NORTH_SOUTH` The 'NORTH SOUTH' literal value
`static Direction` `NORTH_SOUTH_LITERAL` The 'NORTH SOUTH' literal object
`static int` `NORTH_WEST` The 'NORTH WEST' literal value
`static Direction` `NORTH_WEST_LITERAL` The 'NORTH WEST' literal object
`static int` `NSEW` The 'NSEW' literal value
`static Direction` `NSEW_LITERAL` The 'NSEW' literal object
`static int` `SOUTH` The 'SOUTH' literal value
`static int` `SOUTH_EAST` The 'SOUTH EAST' literal value
`static Direction` `SOUTH_EAST_LITERAL` The 'SOUTH EAST' literal object
`static Direction` `SOUTH_LITERAL` The 'SOUTH' literal object
`static int` `SOUTH_WEST` The 'SOUTH WEST' literal value
`static Direction` `SOUTH_WEST_LITERAL` The 'SOUTH WEST' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Direction' enumerators
`static int` `WEST` The 'WEST' literal value
`static Direction` `WEST_LITERAL` The 'WEST' literal object

Method Summary
`static Direction` `get(int value)` Returns the 'Direction' literal with the specified integer value
`static Direction` `get(java.lang.String literal)` Returns the 'Direction' literal with the specified literal value
`static Direction` `getByName(java.lang.String name)` Returns the 'Direction' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'NONE' literal value.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.NONE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH

    public static final int NORTH

  The 'NORTH' literal value.

  If the meaning of 'NORTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.NORTH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOUTH

    public static final int SOUTH

  The 'SOUTH' literal value.

  If the meaning of 'SOUTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.SOUTH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### WEST

    public static final int WEST

  The 'WEST' literal value.

  If the meaning of 'WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### EAST

    public static final int EAST

  The 'EAST' literal value.

  If the meaning of 'EAST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.EAST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH_EAST

    public static final int NORTH_EAST

  The 'NORTH EAST' literal value.

  If the meaning of 'NORTH EAST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.NORTH_EAST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH_WEST

    public static final int NORTH_WEST

  The 'NORTH WEST' literal value.

  If the meaning of 'NORTH WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.NORTH_WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOUTH_EAST

    public static final int SOUTH_EAST

  The 'SOUTH EAST' literal value.

  If the meaning of 'SOUTH EAST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.SOUTH_EAST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SOUTH_WEST

    public static final int SOUTH_WEST

  The 'SOUTH WEST' literal value.

  If the meaning of 'SOUTH WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.SOUTH_WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NORTH_SOUTH

    public static final int NORTH_SOUTH

  The 'NORTH SOUTH' literal value.

  If the meaning of 'NORTH SOUTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.NORTH_SOUTH_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### EAST_WEST

    public static final int EAST_WEST

  The 'EAST WEST' literal value.

  If the meaning of 'EAST WEST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.EAST_WEST_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NSEW

    public static final int NSEW

  The 'NSEW' literal value.

  If the meaning of 'NSEW' literal object isn't clear, there really should be more of a description here...

  See Also:
    `Direction.NSEW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NONE_LITERAL

    public static final Direction NONE_LITERAL

  The 'NONE' literal object.

  See Also:
    `Direction.NONE`
  ** Generated **
  Ordered:

### NORTH_LITERAL

    public static final Direction NORTH_LITERAL

  The 'NORTH' literal object.

  See Also:
    `Direction.NORTH`
  ** Generated **
  Ordered:

### SOUTH_LITERAL

    public static final Direction SOUTH_LITERAL

  The 'SOUTH' literal object.

  See Also:
    `Direction.SOUTH`
  ** Generated **
  Ordered:

### WEST_LITERAL

    public static final Direction WEST_LITERAL

  The 'WEST' literal object.

  See Also:
    `Direction.WEST`
  ** Generated **
  Ordered:

### EAST_LITERAL

    public static final Direction EAST_LITERAL

  The 'EAST' literal object.

  See Also:
    `Direction.EAST`
  ** Generated **
  Ordered:

### NORTH_EAST_LITERAL

    public static final Direction NORTH_EAST_LITERAL

  The 'NORTH EAST' literal object.

  See Also:
    `Direction.NORTH_EAST`
  ** Generated **
  Ordered:

### NORTH_WEST_LITERAL

    public static final Direction NORTH_WEST_LITERAL

  The 'NORTH WEST' literal object.

  See Also:
    `Direction.NORTH_WEST`
  ** Generated **
  Ordered:

### SOUTH_EAST_LITERAL

    public static final Direction SOUTH_EAST_LITERAL

  The 'SOUTH EAST' literal object.

  See Also:
    `Direction.SOUTH_EAST`
  ** Generated **
  Ordered:

### SOUTH_WEST_LITERAL

    public static final Direction SOUTH_WEST_LITERAL

  The 'SOUTH WEST' literal object.

  See Also:
    `Direction.SOUTH_WEST`
  ** Generated **
  Ordered:

### NORTH_SOUTH_LITERAL

    public static final Direction NORTH_SOUTH_LITERAL

  The 'NORTH SOUTH' literal object.

  See Also:
    `Direction.NORTH_SOUTH`
  ** Generated **
  Ordered:

### EAST_WEST_LITERAL

    public static final Direction EAST_WEST_LITERAL

  The 'EAST WEST' literal object.

  See Also:
    `Direction.EAST_WEST`
  ** Generated **
  Ordered:

### NSEW_LITERAL

    public static final Direction NSEW_LITERAL

  The 'NSEW' literal object.

  See Also:
    `Direction.NSEW`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Direction' enumerators.

  ** Generated **

Method Detail

### get

    public static Direction get(java.lang.String literal)

  Returns the 'Direction' literal with the specified literal value.

  ** Generated **

### getByName

    public static Direction getByName(java.lang.String name)

  Returns the 'Direction' literal with the specified name.

  ** Generated **

### get

    public static Direction get(int value)

  Returns the 'Direction' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.